org.jfree.chart.annotations

## Interface Annotation

All Known Subinterfaces:
  CategoryAnnotation, XYAnnotation

All Known Implementing Classes:
  AbstractAnnotation, AbstractXYAnnotation, CategoryLineAnnotation, CategoryPointerAnnotation, CategoryTextAnnotation, TextAnnotation, XYBoxAnnotation, XYDataImageAnnotation, XYDrawableAnnotation, XYImageAnnotation, XYLineAnnotation, XYPointerAnnotation, XYPolygonAnnotation, XYShapeAnnotation, XYTextAnnotation, XYTitleAnnotation

    public interface Annotation

The base interface for annotations. All annotations should support the `AnnotationChangeEvent` mechanism by allowing listeners to register and receive notification of any changes to the annotation.

### Method Summary

Methods
`void` `addChangeListener(AnnotationChangeListener listener)` Registers an object for notification of changes to the annotation.
`void` `removeChangeListener(AnnotationChangeListener listener)` Deregisters an object for notification of changes to the annotation.

### Method Detail

#### addChangeListener

    void addChangeListener(AnnotationChangeListener listener)

Registers an object for notification of changes to the annotation.

Parameters:
  `listener` - the object to register.

#### removeChangeListener

    void removeChangeListener(AnnotationChangeListener listener)

Deregisters an object for notification of changes to the annotation.

Parameters:
  `listener` - the object to deregister.